Ubuntu

volume control doesn't work with HP laptop volume buttons

Reported by hapsis on 2008-12-25
44
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Nominated for Intrepid by yodaanneaux
Nominated for Jaunty by yodaanneaux

Bug Description

I've got Intrepid 8.10 and HP Laptop ZV6000 -series (zv6150).

There is three buttons on the laptop frontside, mute, volume up and volume down.

When I press volume up or down the gnomes volume applett starts repeating the volume continous up or down. The keyboard also stops responding at all. Mouse only works. I need to reboot Gnome to get it fixed.

I can adjust volume by the gnomes applet with mouse but not to use the volume buttons on the frontside, on earlier ubuntu versions these volube buttons worked fine...

- Hapsis
[lspci]
00:00.0 Host bridge [0600]: ATI Technologies Inc RS480 Host Bridge [1002:5950]
     Subsystem: Hewlett-Packard Company Device [103c:3085]
01:05.0 VGA compatible controller [0300]: ATI Technologies Inc Radeon XPRESS 200M 5955 (PCIE) [1002:5955]
     Subsystem: Hewlett-Packard Company Device [103c:3085]

Duane Hinnen (duanedesign) wrote :

Thank you for taking the time to report this issue and helping to make Ubuntu better. We'd be grateful if you could provide more information. Open a terminal/console and enter the following commands.

$ cat /proc/version_signature > ~/version_signature
$ sudo lspci -vvnn > ~/lspci-vvnn
$ xprop -root | grep XKB > ~/xkb
$ gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd > ~/gconf

In your Home Folder will be four (4) new files, version_signature, lspci-vvnn , xkb, and gconf . Attach these to the bug report as separate attachments. Thank you in advance.

Bryce Harrington (bryce) wrote :

[This is an automated message]

Hi hapsis-kotiposti,

Please attach the output of `lspci -vvnn`, and attach your /var/log/Xorg.0.log file from after reproducing this issue. If you've made any customizations to your /etc/X11/xorg.conf please attach that as well.

Please attach the output of `lspci -vvnn` too.

Changed in xserver-xorg-input-keyboard:
status: New → Incomplete

My nc8430 is also affected by this problem (Ubuntu 8.10 2.6.27-9.19-generic amd64). I attach a tgz with the files you requested to hapsis.

An interesting thing is that whilst the sound volume buttons never work, the sound on/off switch generally works but with a few glitches:

1) When the sound is switched off and an application is playing, sometimes the pc switches the volume back on. The sound off led keeps being on (it should notify that the sound is off but it's on now).

2) The transient icon displayed when pressing the sound on/off button seems to show the wrong state: I get an icon with the red X icon when I switch the sound on. Shouldn't that icon indicate that the sound is switched off?

If there is anything else that I can do, just ask.

Paolo

Changed in xserver-xorg-input-keyboard:
status: Incomplete → New

Rereading the original bug description I realized that I forgot to include an important detail: my keyboard keeps working and I don't have the problem of the repeating volume up/down changes. With that in mind do you want me to open a different bug, possibly with a reference to this one?

hapsis (hapsis-kotiposti) wrote :

Ok, here are the files you requested from me. - qconf

- Hapsis

hapsis (hapsis-kotiposti) wrote :

Xkb -file

- Hapsis

hapsis (hapsis-kotiposti) wrote :

lspci-vvnn file

- Hapsis

hapsis (hapsis-kotiposti) wrote :

Version signature.

- Hapsis

Bryce Harrington (bryce) on 2009-01-23
description: updated
yodaanneaux (romain-yoda) wrote :

Hi everyone, in advance sorry for my english from a french.
I have the same problem with my laptop. It's an old compaq R4000. I add that this problem exist since i've migrated to intrepid, and on Ubuntu, Xubuntu and Kubuntu. But in each distributions, the bug is different. With kubuntu, i can nevertheless work. But with Xubuntu and Ubuntu, it's impossible, I muss to restart the computer.
I hope that it will help you,
yodaanneaux.

yodaanneaux (romain-yoda) wrote :

I'm trying on Ubuntu Jaunty alpha 4 and this problem is here...
I hope that this problem will be resolved soon..

Daniel (admin-tootai) wrote :

Hi,

I'm running a HP Pavilion zv6000 - series zv6100 and face the same problem.

The volume goes up to full or empty when I touch the volume dial, and the OSD keeps flashing and the keyboard gets disabled/freezes, but the mouse works. Also:

. to stop the flashing OSD and setup the volume, hit Volume key Up or Down and press twice the mute volume
. hiting Ctrl+Alt+F1 and back to F7 unlock the keyboard.

Everything worked fine on 7.10. This is a fresh install of 8.10. I checked theTroubleshooting page but nothing important. Keys are well recognized, (keycode 111 XF86AudioMute, 122 XF86AudioVolumeLower and 123 XF86AudioRaiseVolume). Xorg is empty from scratch install. The card is an ATI.

Seems that people in bug #272292 faced the same problem. Attached are the needed debug files.

Daniel (admin-tootai) wrote :

Next file

Daniel (admin-tootai) wrote :

Another one

Daniel (admin-tootai) wrote :

The last.

Thanks for your time.

--
Daniel

Bryce Harrington (bryce) wrote :

Sounds likely to be a hotkey issue at a lower level than X. Forwarding to hal-info for further troubleshooting.

Dash (devel-tootai) wrote :

Hi,

any update on this? Was it duplicate as new bug against hal-info?

Thanks for any feedback.

--
Daniel

Martin Pitt (pitti) wrote :

This sounds like a similar problem than we already had seen on the Samsung NC10, where the Fn keys send keypress events, but no keyrelease events.

yodaanneaux (romain-yoda) wrote :

This problem is always here with alpha 5 on my laptop (test on live cd).

Yasril (yasrilyasdi) wrote :

Hi, my name is Yasrl.
I have same problem since yesterday, I've got automatic update ( I'm new to use linux) I put all on update after that day problem come.
What I'm suppose to do? please help me out

Festr (festr2) wrote :

Hi, I had the same problem with HP NC6320 and I've revised my Xorg.conf

I had this options which I had to delete to make volume buttons works again:

Section "ServerFlags"
        Option "AutoAddDevices" "False"
        Option "DontZap" "False"
EndSection

and delete Option "AllowEmptyInput" "off" in Section "ServerLayout"

yodaanneaux (romain-yoda) wrote :

I'm trying on HP Pavillon ZV6000 in Live CD and there is the same problem (intrepid).

Jonathan Thurn (jthurn) wrote :

Marked as buplicate of Bug #271706. Kyle Ktemkin concludes that this is an issue in the evdev driver, which replaced the older kbd driver. Some laptop models' volume buttons do not report key release events. A temporary fix, which must be reapplied every time the evdev driver is patched, is included in the comments.

jetdog (slicksterdave) wrote :

Marked bug as non-duplicate.

If this volume-control/repeat-forever bug is still affecting you:

It has come to my attention that there is a flood of keyboard volume button/wheel =hardware= quirks that have never been dealt with, all having the same general problems: you press volume button (up or down), volume goes all the way up or down, and then your input (may) become unresponsive to varying degree.

To keep a long story short, there is a fair chance (though not guaranteed) that this is a kernel input driver bug/quirk for your volume control input device. (and even if not, the following will help determine what is wrong)

What I need the bug submitter to do (if not already), is to provide a model number for their laptop/desktop (or if custom-built, provide the model number of your: keyboard or multimedia device with the volume control realted to this bug)

- and if you could please, put that model number in the summery with something like this:
"Toshiba Satellite U300 volume button repeating forever"

If we can keep these volume control quirks pertaining to the __system/hardware in question__, it will help the maintainers a lot more.

Althought I can't guarantee/guess immediately what is going on here, what I will suggest is:

For the system/hardware that this volume bug applies to ONLY, provide some logs of the following:
(If you get some logs that run repeating forever, please cut them short)

# echo "dmidecode > mydmilog.txt" | sudo bash

# echo "showkey -s > mykeylog.txt" | sudo bash
(use your volume up, volume down, volume up, and then volume down)

# echo "xev > myxevlog.txt" | sudo bash
(use your volume up, and volume down)

This will greatly assist the maintainers in understanding and dealing with your bug.

Hopefully this helps speed these problems along :)

Lenovo 3000 V100 volume button repeating forever

Kenny (kserrine) wrote :

HP Pavilion zv6000 volume button repeating forever

I have ubuntu 9.10 (2.6.31-14-generic)

I noticed that Bug #291878 says it's fixed, but the quirk was for zv6100. My product is zv6000 and the problem still occurs.

Lukas Svoboda (svoboda77) wrote :

Lenovo 3000 V100 volume button repeating forever - Ubuntu Karmic 9.10 32bit

caf' (ptitwilly) wrote :

Hi, I have made a small software for use Hotkeys on my R4000 laptop.

http://willy.petit08.free.fr/pdb_mmctrl/en/

Jeremy Foshee (jeremyfoshee) wrote :

Hi hapsis,

This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/lucid.

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux 311353

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kernel-sound
tags: added: needs-kernel-logs
tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete

Hi!

The issue is solved on the latest version... Thankyou very much... Next I
would need advice howto get integrated S-VHS (radeon M200) output working...
:-)

- Tomas

2010/3/14 Jeremy Foshee <email address hidden>

> Hi hapsis,
>
> This bug was reported a while ago and there hasn't been any activity in
> it recently. We were wondering if this is still an issue? Can you try
> with the latest development release of Ubuntu? ISO CD images are
> available from http://cdimage.ubuntu.com/releases/lucid.
>
> If it remains an issue, could you run the following command from a
> Terminal (Applications->Accessories->Terminal). It will automatically
> gather and attach updated debug information to this report.
>
> apport-collect -p linux 311353
>
> Also, if you could test the latest upstream kernel available that would
> be great. It will allow additional upstream developers to examine the
> issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once
> you've tested the upstream kernel, please remove the 'needs-upstream-
> testing' tag. This can be done by clicking on the yellow pencil icon
> next to the tag located at the bottom of the bug description and
> deleting the 'needs-upstream-testing' text. Please let us know your
> results.
>
> Thanks in advance.
>
> [This is an automated message. Apologies if it has reached you
> inappropriately; please just reply to this message indicating so.]
>
>
> ** Tags added: kernel-sound
>
> ** Tags added: needs-kernel-logs
>
> ** Tags added: needs-upstream-testing
>
> ** Tags added: kj-triage
>
> ** Changed in: linux (Ubuntu)
> Status: New => Incomplete
>
> --
> volume control doesn't work with HP laptop volume buttons
> https://bugs.launchpad.net/bugs/311353
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Incomplete
>
> Bug description:
> I've got Intrepid 8.10 and HP Laptop ZV6000 -series (zv6150).
>
> There is three buttons on the laptop frontside, mute, volume up and volume
> down.
>
> When I press volume up or down the gnomes volume applett starts repeating
> the volume continous up or down. The keyboard also stops responding at all.
> Mouse only works. I need to reboot Gnome to get it fixed.
>
> I can adjust volume by the gnomes applet with mouse but not to use the
> volume buttons on the frontside, on earlier ubuntu versions these volube
> buttons worked fine...
>
> - Hapsis
> [lspci]
> 00:00.0 Host bridge [0600]: ATI Technologies Inc RS480 Host Bridge
> [1002:5950]
> Subsystem: Hewlett-Packard Company Device [103c:3085]
> 01:05.0 VGA compatible controller [0300]: ATI Technologies Inc Radeon
> XPRESS 200M 5955 (PCIE) [1002:5955]
> Subsystem: Hewlett-Packard Company Device [103c:3085]
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/311353/+subscribe
>

Altay_H (altayhunter) wrote :

This issue still exists for me on the latest version. I tried running the command, but it told me that I'm not a subscriber or the report is a duplicate or closed. I tested it on an HP Pavilion zv6007us with the alpha-3 build of Lucid Lynx.

hp Pavillon dv3510nr volume up/down keys repeating forever

Problem occured on Ubuntu 9.10 and persists in Lucid Beta 1

This temporary fix addressing the lack of a keyup event for these media buttons worked fine for me:
http://ubuntuforums.org/showthread.php?t=974723

MacRules (macrules) wrote :

This problem is still there in Lucid Beta, 1 day before release.
Researching tought me that this seems to be caused by a combination of FN + a key (for me the sound keys) which do not send a release signal when released.
For me the key codes are 113,114 and 115.
A work around is indeed assigned different keys, which i think sucks.

There is a kernel patch posted here, which maybe a solution, read here:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/271706 .

My Mivvy G310, a rebranded Viooo Corp PT17 or something, has the issue of sending no release event.
I hope this issue will be addressed properly.

MacRules (macrules) wrote :

still an issue on my netbook, a Mivvy G310 (rebranded Viooo Corp PT17 or something).
Sound keys do not report a release event for that netbook, which seems to be the problem.
Also this seems to be a kernel problem, not evdev.
kbd addressed it somehow, but should be addressed on a lower level (kernel) to be fixed properly.

there is hope:
For U300 see here:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/271706

workaround is to reassign keys or patch evdev (the former is the easiest, else see : http://ubuntuforums.org/showthread.php?t=974723 )

i read somewhere kernel devs are looking for proper handling, hope this will be fixed!

Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Incomplete and has not had any updated comments for quite some time. As a result this bug is being closed. Please reopen if this is still an issue in the current Ubuntu release http://www.ubuntu.com/getubuntu/download . Also, please be sure to provide any requested information that may have been missing. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-expired
Changed in linux (Ubuntu):
status: Incomplete → Expired
Dr. Amr Osman (dr3mro) wrote :

a fix will be available in a few minutes at
https://launchpad.net/~dr3mro/+archive/xserver-xorg-input-evdev

Changed in linux (Ubuntu):
status: Expired → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → In Progress

hapsis, this bug report is being closed due to your last comment https://bugs.launchpad.net/ubuntu/+source/linux/+bug/311353/comments/29 regarding this being fixed with an update. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

Changed in linux (Ubuntu):
status: In Progress → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers